# QGradient Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QGradient()

### Constructor Properties

- prototype: The QGradient prototype object
- LogicalMode
- StretchToDeviceMode
- ObjectBoundingMode
- CoordinateMode( value )
- PadSpread
- ReflectSpread
- RepeatSpread
- Spread( value )
- LinearGradient
- RadialGradient
- ConicalGradient
- NoGradient
- Type( value )

### Prototype Object Properties

- CoordinateMode coordinateMode()
- bool operator_equal(QGradient gradient)
- void setColorAt(qreal pos, QColor color)
- void setCoordinateMode(CoordinateMode mode)
- void setSpread(Spread spread)
- void setStops(List stops)
- Spread spread()
- List stops()
- Type type()

### Instance Properties

QGradient objects have no special properties beyond those inherited from the QGradient prototype object.